"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var single_line_log_1 = require("single-line-log");
var ProgressBar = /** @class */ (function () {
    function ProgressBar(description, bar_length, pattern) {
        this.description = description || 'Progress';
        this.length = bar_length || 25;
        this.lastcell = -1;
        this.pattern = pattern || '';
    }
    ProgressBar.prototype.render = function (opts) {
        var cell_num = Math.floor(opts.percent * this.length);
        if (this.lastcell === cell_num)
            return;
        if (this.lastcell > cell_num)
            return;
        this.lastcell = cell_num;
        var cell = '';
        for (var i = 0; i < cell_num; i++) {
            cell += this.pattern;
        }
        var empty = '';
        for (var i = 0; i < this.length - cell_num; i++) {
            empty += '░';
        }
        var cmdText = this.description + ' ' + (100 * opts.percent).toFixed(2) + '% ' + cell + empty + ' ' + opts.completed + '/' + opts.total;
        single_line_log_1.stdout(cmdText);
    };
    return ProgressBar;
}());
exports.default = ProgressBar;
;
